Subject: Re: bug#46780: java-snappy: Test failure on ci.guix.gnu.org

From: zimoun <[email-masked]>
Date: Fri, 26 Feb 2021 23:08:42 +0100

Hi,

On Thu, 25 Feb 2021 at 21:52, Björn Höfling <[email-masked]> wrote:

> Then increase the memory used by junit: Edit the build.xml file, add a
> huge "maxmemory" property like this :
>
> <junit maxmemory="30G" printsummary="true" ...

[...]

> If you look at the test case source code, it tries to allocate about
> 20GB and hopes that this fails. It just does not fail on huge machines...

What about adding a phase just before the test?  For example in this
build.xml file fix the max memory to 20G if it is greater.

All the best,
simon